Subject: Re: [xml2rfc-dev] Migration to ietf.org or rfc-editor.org

From: "John R Levine" <[email-masked]>
Date: 26 Sep 2010 14:16:27 -0400

>> - We do have a somewhat working TCL code base, which is hard to
>> maintain, and lacks people understanding TCL. It also suffers from a
>> prehistoric non-conforming XML-parser-like thingy being part of it.
> 
> If ticket 6 is an indication, we have a serious maintenance problem.

No kidding.  It's a quick hack that passed its best-before date many years ago.

>> For everything *except* the TXT-specific there is working XSLT code. I'd
>> recommend writing a post-processor that takes its XHTML output, and
>> reformats that as plain text. To make this work well, we might have to
>> augment the XHTML with a few extensions (hard-wired class names maybe),
>> but I think that's superior to redoing the first part from scratch.

It's hard to say whether it's easier to intuit the necessary semantics from the 
XML or the XHTML.  If we get someone to rewrite xml2rfc, I think an important 
goal needs to be that it can produce output that the RFC editor can use without 
post editing.  If it can't, they'll probably still want it to produce nroff.

>> If I would need to do that, I'd probably use Java. But any language that
>> can parse an XHTML document and which has decent string processing
>> should do.

Sure.  My preference would be perl, but anything with suitable libraries and 
string processing would be fine.

>   XML --> (X)HTML --> TXT
> 
> Would it be just as easy to produce PDF?
>
>   XML --> (X)HTML --> PDF
> 
> Or, would we continue to produce the PDF from the TXT?

That's more a political than a technical question.  A PDF made from the TXT 
produces a printable version of the canonical text.  A PDF made from the XHTML 
makes a document that's a lot easier to read.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Information Superhighwayman wanna-be, http://www.johnlevine.com, ex-Mayor
Please consider the environment before sending this e-mail.